SetDefaultBdsCertificateConfigurationDetails

class oci.bds.models.SetDefaultBdsCertificateConfigurationDetails(**kwargs)

Bases: object

The request body for configuring BDS certificate configuration as default configuration.

Methods:

__init__(**kwargs)

Initializes a new SetDefaultBdsCertificateConfigurationDetails object with values from keyword arguments.

Attributes:

cluster_admin_password

Gets the cluster_admin_password of this SetDefaultBdsCertificateConfigurationDetails.

secret_id

Gets the secret_id of this SetDefaultBdsCertificateConfigurationDetails.

__init__(**kwargs)

Initializes a new SetDefaultBdsCertificateConfigurationDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):

Parameters
  • cluster_admin_password (str) – The value to assign to the cluster_admin_password property of this SetDefaultBdsCertificateConfigurationDetails.

  • secret_id (str) – The value to assign to the secret_id property of this SetDefaultBdsCertificateConfigurationDetails.

property cluster_admin_password

Gets the cluster_admin_password of this SetDefaultBdsCertificateConfigurationDetails. Base-64 encoded password for the cluster admin user.

Returns

The cluster_admin_password of this SetDefaultBdsCertificateConfigurationDetails.

Return type

str

property secret_id

Gets the secret_id of this SetDefaultBdsCertificateConfigurationDetails. The secretId for the clusterAdminPassword.

Returns

The secret_id of this SetDefaultBdsCertificateConfigurationDetails.

Return type

str